Debian Bug report logs - #431631
openmpi-bin: mpicc and other wrappers won't find parameter files and die

version graph

Package: openmpi-bin; Maintainer for openmpi-bin is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>; Source for openmpi-bin is src:openmpi.

Reported by: Andreas Kabel <andreas.kabel@gmail.com>

Date: Tue, 3 Jul 2007 23:12:01 UTC

Severity: important

Tags: fixed

Found in version openmpi/1.1-2.5

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#431631; Package openmpi-bin. Full text and rfc822 format available.

Acknowledgement sent to Andreas Kabel <andreas.kabel@gmail.com>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Kabel <andreas.kabel@gmail.com>
To: submit@bugs.debian.org, akabel@stanford.edu
Subject: openmpi-bin: mpicc and other wrappers won't find parameter files and die
Date: Tue, 03 Jul 2007 16:11:10 -0700
Package: openmpi-bin
Version: 1.1-2.5
Severity: important

When called, /usr/bin/mpi{cc,c++,f70,f90,CC}.openmpi  die silently.
Doing an strace, this can be traced back to the fact that they 
try to open a file in a directory "${prefix}/share/openmpi", which 
should be "/usr/share/openmpi". Patching the binaries appropriately,
it makes them usable again.




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#431631; Package openmpi-bin. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 431631@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Andreas Kabel <andreas.kabel@gmail.com>, 431631@bugs.debian.org
Cc: control@bugs.debian.org, akabel@stanford.edu
Subject: Re: [Pkg-openmpi-maintainers] Bug#431631: openmpi-bin: mpicc and other wrappers won't find parameter files and die
Date: Tue, 3 Jul 2007 19:47:14 -0500
tags 431631 + fixed
thanks


Hi Andreas,

On 3 July 2007 at 16:11, Andreas Kabel wrote:
| Package: openmpi-bin
| Version: 1.1-2.5
| Severity: important
| 
| When called, /usr/bin/mpi{cc,c++,f70,f90,CC}.openmpi  die silently.
| Doing an strace, this can be traced back to the fact that they 
| try to open a file in a directory "${prefix}/share/openmpi", which 
| should be "/usr/share/openmpi". Patching the binaries appropriately,
| it makes them usable again.

This, as most if not all of the existing bugs, should be fixed in the new
upstream version 1.2.3-1 that has been in the NEW for a couple of days.  As a
new upstream version, and a now properly maintained lintian-clean package
with new maintainers, openmpi should now match the standard set by the rest
of Debian.  Below is a log of how this behaves on my testing box.

Drop me a line off-line if you don't want to wait for the packages to make it
to unstable.  I am setting the tag for this to fixed as it is effectively no
longer a bug in the current version.

Regards, Dirk



edd@basebud:~> mpicc.openmpi  --version
gcc (GCC) 4.1.3 20070601 (prerelease) (Debian 4.1.2-12)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

edd@basebud:~> mpicc.openmpi  --help | head
Usage: gcc [options] file...
Options:
  -pass-exit-codes         Exit with highest error code from a phase
  --help                   Display this information
  --target-help            Display target specific command line options
  (Use '-v --help' to display command line options of sub-processes)
  -dumpspecs               Display all of the built in spec strings
  -dumpversion             Display the version of the compiler
  -dumpmachine             Display the compiler's target processor
  -print-search-dirs       Display the directories in the compiler's search path
edd@basebud:~> type -f mpicc.openmpi
mpicc.openmpi is hashed (/usr/bin/mpicc.openmpi)
edd@basebud:~> ls -l /usr/bin/mpicc.openmpi
lrwxrwxrwx 1 root root 12 Jun 24 21:52 /usr/bin/mpicc.openmpi -> opal_wrapper
edd@basebud:~> dpkg -l openmpi-bin
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                                   Version                                Description
+++-======================================-======================================-============================================================================================
ii  openmpi-bin                            1.2.3-1                                high performance message passing library

| _______________________________________________
| Pkg-openmpi-maintainers mailing list
| Pkg-openmpi-maintainers@lists.alioth.debian.org
| http://lists.alioth.debian.org/mailman/listinfo/pkg-openmpi-maintainers

-- 
Hell, there are no rules here - we're trying to accomplish something. 
                                                  -- Thomas A. Edison



Tags added: fixed Request was from Dirk Eddelbuettel <edd@debian.org> to control@bugs.debian.org. (Wed, 04 Jul 2007 00:51:02 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Kabel <andreas.kabel@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 431631-done@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 431631-done@bugs.debian.org
Subject: DONE (openmpi-bin: mpicc and other wrappers won't find parameter files and die)
Date: Mon, 30 Jul 2007 21:52:02 -0500
This has been fixed and 1.2.3-{1,2} are in the archive.

Dirk

-- 
Three out of two people have difficulties with fractions.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Aug 2007 07:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:12:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.